/*
 * Copyright (c) The openTCS Authors.
 *
 * This program is free software and subject to the MIT license. (For details,
 * see the licensing information (LICENSE.txt) you should have received with
 * this copy of the software.)
 */
package org.opentcs.guing.util;

/**
 * Defines application-specific constants regarding internationalization.
 *
 * @author Martin Grzenia (Fraunhofer IML)
 */
public interface I18nPlantOverviewOperating {

  /**
   * Path to the resources related to the create transport order dialog.
   */
  String CREATETO_PATH = "i18n.org.opentcs.plantoverview.operating.dialogs.createTransportOrder";
  /**
   * Path to the resources related to dockables.
   */
  String DOCKABLE_PATH = "i18n.org.opentcs.plantoverview.operating.panels.dockable";
  /**
   * Path to the resources related to the find vehicle dialog.
   */
  String FINDVEHICLE_PATH = "i18n.org.opentcs.plantoverview.operating.dialogs.findVehicle";
  /**
   * Path to the resources related to layers.
   */
  String LAYERS_PATH = "i18n.org.opentcs.plantoverview.operating.panels.layers";
  /**
   * Path to the resources related the menu bar.
   */
  String MENU_PATH = "i18n.org.opentcs.plantoverview.operating.mainMenu";
  /**
   * Path to miscellaneous resources
   */
  String MISC_PATH = "i18n.org.opentcs.plantoverview.operating.miscellaneous";
  /**
   * Path to the resources related to the peripheral job panel.
   */
  String PERIPHERALJOB_PATH = "i18n.org.opentcs.plantoverview.operating.panels.peripheralJobs";
  /**
   * Path to the resources related to the system.
   */
  String SYSTEM_PATH = "i18n.org.opentcs.plantoverview.operating.system";
  /**
   * Path to the resources related to the transport order details dialog.
   */
  String TODETAIL_PATH = "i18n.org.opentcs.plantoverview.operating.dialogs.transportOrderDetail";
  /**
   * Path to the resources related to the transportorder sequence panel.
   */
  String TO_SEQUENCE_PATH = "i18n.org.opentcs.plantoverview.operating.panels.orderSequences";
  /**
   * Path to the resources related to toolbars.
   */
  String TOOLBAR_PATH = "i18n.org.opentcs.plantoverview.operating.toolbar";
  /**
   * Path to the resources related to the transportorder panel.
   */
  String TRANSPORTORDER_PATH = "i18n.org.opentcs.plantoverview.operating.panels.transportOrders";
  /**
   * Path to the resources related to the vehicle popup.
   */
  String VEHICLEPOPUP_PATH = "i18n.org.opentcs.plantoverview.operating.dialogs.vehiclePopup";
  /**
   * Path to the resources related to the vehicle view.
   */
  String VEHICLEVIEW_PATH = "i18n.org.opentcs.plantoverview.operating.panels.vehicleView";
  /**
   * Path to the resources related to the create peripheral job panel.
   */
  String CREATE_PERIPHERAL_JOB_PATH = "i18n.org.opentcs.plantoverview.operating.dialogs.createPeripheralJob";
}
